Subject: Re: net: cdc_ncm, cdc_mbim: allow user to prefer NCM for backwards compatibility

From: Dave Jones <[email-masked]>
Date: Thu, 16 May 2013 15:17:01 -0400

On Thu, May 16, 2013 at 09:08:23PM +0200, Bjørn Mork wrote:
 > Yes, this is a very unfortunate side effect of the userspace/kernel
 > split of the MBIM driver combined with the NCM/MBIM "backwards
 > compatibility" setting.  Which in itself is a bad idea, IMHO.
 > 
 > I recommend all distros do the same as Debian: Set NCM as default until
 > a userspace application with MBIM support is ready and packaged in the
 > distro:
 > http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/debian/patches/debian/cdc_ncm-cdc_mbim-use-ncm-by-default.patch

Thanks for the pointer. We'll pick that up for the Fedora 3.9 kernels.

Ben, does debian have a commits mailing list for kernel changes ?

 > FWIW, I wish we would have thought about this issue before v3.8 was
 > released.  Then we could have made that patch the mainline default,
 > without that being a userspace API change.  But we didn't.
 > 
 > The good news is that Aleksander has done some nice work on the MBIM
 > support in ModemManager, so there is a good chance that the next release
 > will make this problem go away.

good news indeed!

thanks.

	Dave